# TODO:
# - generate docs without using forrest. It seems to be possible.
#
# Conditional build:
%bcond_with	doc		# build with docs (require apache-forrest)
%bcond_with	bootstrap	# break BR loop batik-fop

%include	/usr/lib/rpm/macros.java

%define		_rel	8
%define		srcname	xmlgraphics-batik
Summary:	Java SVG support
Summary(pl.UTF-8):	Wsparcie dla SVG dla języka Java
Name:		java-xmlgraphics-batik
Version:	1.7
Release:	%{bootstrap_release %{_rel}}
License:	Apache
Group:		Applications/Publishing/XML/Java
Source0:	http://www.apache.org/dist/xmlgraphics/batik/batik-src-%{version}.zip
# Source0-md5:	c117ca2241907f62a2b3031167ebf917
Patch0:		%{name}-nodocs.patch
URL:		http://xml.apache.org/batik/
%{?with_doc:BuildRequires:	java-forrest}
BuildRequires:	java-rhino
BuildRequires:	java-xalan
BuildRequires:	java-xml-commons-external
%{!?with_bootstrap:BuildRequires:	java-xmlgraphics-fop}
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.557
BuildRequires:	unzip
Requires:	java-rhino
Requires:	java-xalan
Requires:	java-xml-commons-external
Requires:	jre >= 1.4
Obsoletes:	batik
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java SVG support.

%description -l pl.UTF-8
Wsparcie dla SVG dla języka Java.

%package doc
Summary:	Documentation for the Batik library
Summary(pl.UTF-8):	Dokumentacja dla biblioteki Batik
Group:		Documentation

%description doc
Documentation for the Batik library.

%description doc -l pl.UTF-8
Dokumentacja dla biblioteki Batik.

%prep
%setup -q -n batik-%{version}

%if %{without doc}
%patch0 -p0
%endif

rm lib/js.jar lib/xalan*.jar lib/xerces*.jar lib/xml-apis*.jar

%build
unset CLASSPATH || :
export JAVA_HOME=%{java_home}

jars='js xalan xercesImpl xml-apis xml-apis-ext'
for jar in $jars; do
	ln -s $(find-jar $jar) lib
done

%if %{without bootstrap}
	rm lib/pdf-transcoder.jar
	ln -s $(find-jar xmlgraphics-fop) lib
%endif

#sh build.sh dist-tgz # does not work :-(
sh build.sh dist-zip

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/%{srcname}

cd batik-%{version}
for jar in batik*.jar; do
	base=$(basename $jar .jar)
	install $jar $RPM_BUILD_ROOT%{_javadir}/xmlgraphics-$base-%{version}.jar
	ln -s xmlgraphics-$base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xmlgraphics-$base.jar
done

cd lib
for jar in batik*.jar; do
  install $jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}/$jar
done

%if %{with bootstrap}
  install -p pdf-transcoder.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}/pdf-transcoder.jar
%endif

cd ../extensions
for jar in batik*.jar; do
  install $jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}/extension-${jar#batik-}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES KEYS NOTICE README
%{_javadir}/%{srcname}*.jar
%{_javadir}/%{srcname}

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}/docs/* %{name}-%{version}/samples
%endif
%changelog
* Sun Feb 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-xmlgraphics-batik.git;a=log;h=master

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 41a474d
- rel 8

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 468191f
- rel 7.1 for bootsraping

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 5717891
- updated R/BRs
- rel 8

* Wed May 12 2010 sparky <sparky@pld-linux.org> a47ced5
- BR: rpm-javaprov

* Sat Apr 24 2010 pawelz <pawelz@pld-linux.org> f4ae332
- use %bootstrap_release macro
- rel 7

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> d5ff734
- updated java deps

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> b6f487c
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> 4506167
- rel 6 (to send to th without bootstrap)

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> bb385e4
- renamed from batik
- unified

* Wed Mar 31 2010 pawelz <pawelz@pld-linux.org> 55abff0
- also drop R: xalan-c

* Wed Mar 31 2010 pawelz <pawelz@pld-linux.org> 1c747f2
- dropped BR xalan-c

* Wed Mar 31 2010 pawelz <pawelz@pld-linux.org> 850e08a
- add .bootstrap to release when with bootstrap

* Wed Mar 31 2010 pawelz <pawelz@pld-linux.org> bdb5da7
- typo (missing '$' before shell variable name)

* Fri Feb 05 2010 Elan Ruusamäe <glen@pld-linux.org> c0fccbe
- unify doc bcond

* Sun Jan 17 2010 Elan Ruusamäe <glen@pld-linux.org> 6ee6e0d
- refresh deps using adapter

* Sun Jan 17 2010 Elan Ruusamäe <glen@pld-linux.org> e3bdb0d
- find-jar need to be in %build as BR not yet filled in %prep

* Fri Jan 15 2010 sparky <sparky@pld-linux.org> 5580f70
- don't use %{?without_...} - it may not work after inverting bcond

* Tue Dec 30 2008 pawelz <pawelz@pld-linux.org> cf6673f
- added bootstrap bcond that allows to break BR-loop
- don't use jar files provided with sources when building without bootstrap

* Mon Dec 29 2008 pawelz <pawelz@pld-linux.org> 654da42
- dependencies

* Mon Dec 29 2008 pawelz <pawelz@pld-linux.org> 9d80c22
- up to 1.7
- use system jars (see TODO)
- added TODO line
- better %files section

